<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.constants (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.constants (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/config/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/context/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.constants</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/LoggerConstants.html" title="class in io.mosip.registration.constants">LoggerConstants</a></td>
<td class="colLast">
<div class="block">Contains the constants to be used for logging</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/RegistrationConstants.html" title="class in io.mosip.registration.constants">RegistrationConstants</a></td>
<td class="colLast">
<div class="block">Class contains the constants used in Registration application</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/VirtualKeyboardKeys.html" title="class in io.mosip.registration.constants">VirtualKeyboardKeys</a></td>
<td class="colLast">
<div class="block">Class contains the keys for the virtual keyboard</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/AuditEvent.html" title="enum in io.mosip.registration.constants">AuditEvent</a></td>
<td class="colLast">
<div class="block">Enum for Audit Events</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/AuditEventType.html" title="enum in io.mosip.registration.constants">AuditEventType</a></td>
<td class="colLast">
<div class="block">The <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><code>Enum</code></a> for the types of Audit Events</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/AuditReferenceIdTypes.html" title="enum in io.mosip.registration.constants">AuditReferenceIdTypes</a></td>
<td class="colLast">
<div class="block">Enum for References Id Types to be used in Audit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/Components.html" title="enum in io.mosip.registration.constants">Components</a></td>
<td class="colLast">
<div class="block">Enum for Application Modules to be used in Audit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants">DeviceTypes</a></td>
<td class="colLast">
<div class="block">Device Type enum</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/IntroducerType.html" title="enum in io.mosip.registration.constants">IntroducerType</a></td>
<td class="colLast">
<div class="block">The enums for introducer types</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/LoginMode.html" title="enum in io.mosip.registration.constants">LoginMode</a></td>
<td class="colLast">
<div class="block">The Enum LoginMode contains the different modes of login.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/ProcessNames.html" title="enum in io.mosip.registration.constants">ProcessNames</a></td>
<td class="colLast">
<div class="block">Enum for Process Names</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/RegistrationClientStatusCode.html" title="enum in io.mosip.registration.constants">RegistrationClientStatusCode</a></td>
<td class="colLast">
<div class="block">Enum for Registration Client Status Code</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/RegistrationTransactionType.html" title="enum in io.mosip.registration.constants">RegistrationTransactionType</a></td>
<td class="colLast">
<div class="block">Enum for Registration Transaction Type Code</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/constants/RegistrationType.html" title="enum in io.mosip.registration.constants">RegistrationType</a></td>
<td class="colLast">
<div class="block">Enum for Registration Type Code</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/config/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/context/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
